
Afian_Item.prototype.buildDOMobject_list = function () {

o = new Array();
/* creating the table */
o.table = document.createElement('TABLE');
o.table.className='icon_list';
/*o.table.border='1';*/
o.table.id = this.id;
o.table.style.display='none';
o.tbody = document.createElement('TBODY');
o.table.appendChild(o.tbody);
/* adding a row */
o.tr1 = o.tbody.insertRow(0);
/* adding a cell*/
o.tr1_td = o.tr1.insertCell(0);
o.tr1_td.className='thumb_list';
o.chkbox = document.createElement('INPUT');
o.chkbox.type='checkbox';
o.chkbox.className='iconCheckbox';
o.tr1_td.appendChild(o.chkbox);


if (is.IE) {
o.img = new Image();
} else {
o.img = document.createElement('IMG');
}

o.img.style.height='16px';
o.img.style.width='16px';

o.table.title=this.icon_title;

o.img.align='middle';
o.tr1_td.appendChild(o.img);
o.img.src=this.list_img_src;


/* MSIE workaround*/
o.img.onabort = imageReloadSrc;


/* adding a second cell to the row */
o.tr1_td2 = o.tr1.insertCell(1);
o.tr1_td2.className='iconTitle_list';
/* adding a third cell to the row */
o.tr1_td3 = o.tr1.insertCell(2)
o.tr1_td3.className='description_list';

o.table.onclick = AfianHandler.itemonclick;

if (this.ondblclk) {
o.table.ondblclick = AfianHandler.itemondblclick;
}

o.tr1_td2_div = document.createElement('div');
o.tr1_td2.appendChild(o.tr1_td2_div);
o.tr1_td2_div.innerHTML=this.icon_title;
o.tr1_td2_div.setAttribute('selectable', '1');

details = this.tab.detailHTML;
details = details.replace('FORMATEDSIZE', this.formatedSize);
details = details.replace('FSIZE', this.fsize);
details = details.replace('FTYPEDESCR', this.filetype_descr);
details = details.replace('EXTRA', ((this.extra == 0)?'&nbsp;':this.extra));

o.tr1_td3.innerHTML=details;

this.obj = o;
}